package com.realnet.angulardatatype.Services;
import java.util.*;
import com.realnet.angulardatatype.Repository.SupportRepository;
import com.realnet.angulardatatype.Entity.Support;

import com.realnet.angulardatatype.Entity.Support_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Support_ListFilter1Service {
@Autowired
private SupportRepository Repository;




 public   List<Support_ListFilter1>   getlistbuilder() {
	List<Support> list= Repository.findAll();
		ArrayList<Support_ListFilter1> l = new ArrayList<>();
		for (Support data : list) {
{	
Support_ListFilter1 dummy = new Support_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
  dummy.setDescription(data.getDescription());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Support_ListFilter1>   getlistbuilderparam( ) {
	List<Support> list= Repository.findAll();
		ArrayList<Support_ListFilter1> l = new ArrayList<>();
		for (Support data : list) {
{	
Support_ListFilter1 dummy = new Support_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
  dummy.setDescription(data.getDescription());
	l.add(dummy);
} 
} 		
return l;}
}